#!/bin/sh
# @nix.app.product.name@ @nix.app.product.version@

####################  ListBackupSetFiles.sh  ##################################
# You can use this shell to list all the files for a backup set.              #
###############################################################################

#####################  Start: User Defined Section  ###########################

# ----------------------------- SETTING_HOME -------------------------------- #
# Directory to your OBC setting home. Default to ~/.acb or ~/.obm when not    #
# set.                                                                        #
# e.g. SETTING_HOME=~/.obm                                                    #
# --------------------------------------------------------------------------- #
SETTING_HOME=

######################  END: User Defined Section  ############################

###############################################################################
#           S C R I P T                         U S A G E                     #
###############################################################################

if [ ! -n "$1" ]; then
    echo "Usage: ListBackupSetFiles.sh [BackupSetID]"
    exit 0
fi

BACKUP_SET_ID=$1

###############################################################################
#      R E T R I E V E            A P P _ H O M E           P A T H           #
###############################################################################

cd `dirname "$0"`
APP_BIN=`pwd`
APP_HOME=`dirname "$APP_BIN"`  

###############################################################################
#      R E T R I E V E           J A V A _ H O M E           P A T H          #
###############################################################################

JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Home

if [ ! -x "$APP_HOME/jvm" ];
then
   echo "$APP_HOME/jvm does not exist! Creating a symbolic link from ${APP_HOME}/jvm to ${JAVA_HOME}"
   ln -sf "${JAVA_HOME}" "${APP_HOME}/jvm"
fi

###############################################################################
#                  J A V A                 E X E C U T I O N                  #
###############################################################################

cd "$APP_HOME"

LIB_HOME=./bin
JAVA_OPTS="-Xmx256m -client -Djava.library.path=${LIB_HOME}"
CLASSPATH="${LIB_HOME}:${LIB_HOME}/obc.jar:${LIB_HOME}/obc-lib.jar"
MAIN_CLASS=ListBackupSetFiles

echo "Using APP_HOME      : ${APP_HOME}"
echo "Using CONFIG_HOME   : ${CONFIG_HOME}"
echo "Using BACKUP_SET_ID : ${BACKUP_SET_ID}"
echo "Using Result File   : ${APP_HOME}/dump.xml" 

"$JAVA_HOME/bin/java" $JAVA_OPTS -cp "${CLASSPATH}" "${MAIN_CLASS}" "${APP_HOME}" "${BACKUP_SET_ID}" "${SETTING_HOME}" > "dump.xml"
